/// Attempting to create multiple segments with overlapping timestamps for a given series
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SegmentConflictV2 {
    #[serde(rename = "seriesUuid")]
    series_uuid: conjure_object::Uuid,
    #[builder(
        custom(
            type = super::super::super::super::super::objects::scout::video::api::Bounds,
            convert = Box::new
        )
    )]
    #[serde(rename = "segment1Bounds")]
    segment1_bounds: Box<
        super::super::super::super::super::objects::scout::video::api::Bounds,
    >,
    #[builder(
        custom(
            type = super::super::super::super::super::objects::scout::video::api::Bounds,
            convert = Box::new
        )
    )]
    #[serde(rename = "segment2Bounds")]
    segment2_bounds: Box<
        super::super::super::super::super::objects::scout::video::api::Bounds,
    >,
}
impl SegmentConflictV2 {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        series_uuid: conjure_object::Uuid,
        segment1_bounds: super::super::super::super::super::objects::scout::video::api::Bounds,
        segment2_bounds: super::super::super::super::super::objects::scout::video::api::Bounds,
    ) -> Self {
        Self::builder()
            .series_uuid(series_uuid)
            .segment1_bounds(segment1_bounds)
            .segment2_bounds(segment2_bounds)
            .build()
    }
    #[inline]
    pub fn series_uuid(&self) -> conjure_object::Uuid {
        self.series_uuid
    }
    #[inline]
    pub fn segment1_bounds(
        &self,
    ) -> &super::super::super::super::super::objects::scout::video::api::Bounds {
        &*self.segment1_bounds
    }
    #[inline]
    pub fn segment2_bounds(
        &self,
    ) -> &super::super::super::super::super::objects::scout::video::api::Bounds {
        &*self.segment2_bounds
    }
}
impl conjure_error::ErrorType for SegmentConflictV2 {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::Conflict
    }
    #[inline]
    fn name() -> &'static str {
        "Video:SegmentConflictV2"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["segment1Bounds", "segment2Bounds", "seriesUuid"]
    }
}
